package com.ynet.life.sujrb.action;

import com.ynet.gene.core.Context;
import com.ynet.gene.core.GENEException;
import com.ynet.life.base.LifeAction;
import com.ynet.life.base.LifeDBAccess;
import com.ynet.life.exception.TranFailException;

/* loaded from: com_ynet_life_sujrb_action.jar:com/ynet/life/sujrb/action/GenerateReceiptNo.class */
public class GenerateReceiptNo extends LifeAction {
    public static final String DEFAULT_SEQ_NO = "PB_RECEIPT_NO";
    public String sequenceName;
    public String bsnCode;
    public String bsnCodeField;
    public String receiptNoField;

    public String execute(Context context) throws GENEException {
        if (this.sequenceName == null || this.sequenceName.length() == 0) {
            this.sequenceName = DEFAULT_SEQ_NO;
        }
        String sequenceNo = LifeDBAccess.getSequenceNo(this.sequenceName);
        String str = this.bsnCode != null ? this.bsnCode : (String) context.get(this.bsnCodeField);
        String bsnValue = str;
        if (str == null) {
            throw new TranFailException("input data can not be null");
        }
        String receiptNo = String.valueOf(bsnValue) + sequenceNo;
        context.setDataValue(this.receiptNoField, receiptNo);
        return "0";
    }

    public void setSequenceName(String sequenceName) {
        this.sequenceName = sequenceName;
    }

    public void setBsnCode(String bsnCode) {
        this.bsnCode = bsnCode;
    }

    public void setBsnCodeField(String bsnCodeField) {
        this.bsnCodeField = bsnCodeField;
    }

    public void setReceiptNoField(String receiptNoField) {
        this.receiptNoField = receiptNoField;
    }
}
